Activate Merchant Account (For Individual)
This endpoint is used to activate a merchant's fiat currency payment account. Supported currencies include MXN, ARS, COP, BRL,PEN,USD, and EUR. Once activated, merchants can send and receive funds through local banking channels with increased flexibility and efficiency.
Each merchant will receive dedicated account details (e.g., ARS accounts include CVU number / CUIT for Argentina).
Merchants can deposit funds via wire transfer; VelaFi will automatically reconcile the transaction and credit the merchant’s account balance.
Both business and individual account types are supported, enabling broad use across various payment scenarios.
Endpoint Information
Request Header:
X-BH-TOKEN: ******Request Header:
Content-Type: application/jsonRequest Method:
POSTRequest Path:
/v2/merchant/accountsAuthorization Required: Yes
Example Requests (For Individual)
For MXN Account (ARCUS FI)
{
"merchantId": "15126673", // (required, number: id of the merchant)
"fiat": "MXN", // (required, string: name of the fiat currency [MXN])
"trench": "ARCUS FI", //"trench": "Account_Lead Bank", //(required, string: trench [Account_Lead Bank/Wire - Standard Charted Bank])
"fieldList": { // List of channel fields
"email": "[email protected]", // (optional, string: Email, if the merchant information is not provided, it must be filled in)
"idNoType": "CURP", //(required, enum: type of identification document [CURP/RFC])
"idNo": "MACM000502IR6",//(required, string: identity number)
"cardIssueDate": "2019-06-01", // (required, string: Card Issue Date (yyyy-MM-dd))
"cardExpireDate": "2029-06-01", // (required, string: Card Expiry Date (yyyy-MM-dd))
"address": "Celle Lagu Wenner 50", // (required, string: Address)
"city": "Ciudad de Mexico", // (required, string: City)
"state": "CMX", // (required, string: State)
"zipCode": "09060", // (required, string: Zip Code)
"phone": "35580481683", // (required, string: Phone)
"companyName": "Rrturo Tellez", // (string: Company Name, required if merchantType is BUSINESS)
"aliasName": "Rrturo", // (string: Alias Name, required if merchantType is BUSINESS)
"companyType": "SC", // (string: Company Type, required if merchantType is BUSINESS)
"incorporationDate": "2019-02-01", // (string: Incorporation Date (yyyy-MM-dd), required if merchantType is BUSINESS)
"birthday": "1988-07-02", // (string: Birthday (yyyy-MM-dd), required if merchantType is INDIVIDUAL)
"name": "Tellez", // (string: Name, required if merchantType is INDIVIDUAL)
"fatherSurname": "Rrturo", // (string: Father's Surname, required if merchantType is INDIVIDUAL)
"motherSurname": "" // (string: Mother's Surname, required if merchantType is INDIVIDUAL)
}
}For MXN Account (FINCO PAY)
For ARS Account (Argentina)
For COP Account (Colombia)
For BRL Account (Brazil)
For PEN Account (Peru)
For EUR/USD Account_Lead Bank
After the EUR currency account is activated, it can be used for both EUR and USD transactions.
For USD Individual Wire - Standard Charted Bank
Example Responses
Example Response (MXN/ARS/COP/BRL/PEN)
Example Response (USD / EUR)
Notes
Ensure that all fields in the request body are filled out correctly to facilitate the activation process.
Merchants may need to provide additional documentation based on the type of account being activated.
Last updated

